#!/usr/bin/perl

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

%XCHAT = (
	'authors'	=>	'Haui',
	'contact'	=>	'haui45@web.de',
	'name'		=>	'wiki-search',
	'description'	=>	'this script allows you to "search"' . 
				'wikipedia from xchat',
	'license'	=>	'GPL',
	'version'	=>	'0.1'
	);

IRC::register("wiki","0.1");
IRC::add_command_handler("wiki","wiki");

use strict;
my $string = "http://de.wikipedia.org/wiki/";
sub wiki {
	my $data = shift;

    	chop($data) while (substr($data, length($data)-1) eq " ");
	$data =~ s/(\b)([a-z])/\1\u\2/g;
	$data =~ s/ /_/g;
	my $url = "$string"."$data";
	my @array = `curl -s \"$url\"`;
	my $tmp = grep (/<b>Diese Seite existiert nicht<\/b>/, @array);
	undef(@array);
	if ($tmp != 0)
	{
		$url = "http://de.wikipedia.org/wiki/Spezial:Suche/" . "$data";
		Xchat::command("say $url");
		$tmp = 0;
		return;
	}
		Xchat::command("say $url");
  }


